%define pkg rimage
Name: R-package-%pkg
%define maj 0.5
%define min 7
Version: %maj.%min
Release: alt2

Summary: image processing module for GNU R
License: GPL
Group: Sciences/Mathematics
Url: http://www.r-project.org
Packager: Alex V. Myltsev <avm@altlinux.ru>

Source0: %{pkg}_%maj-%min.tar.gz

# Automatically added by buildreq on Sun Feb 25 2007 (-bi)
BuildRequires: R-devel gcc-c++ libfftw-devel libjpeg-devel

Requires: R-base

%description
This package provides functions for image processing in GNU R,
including sobel filter, rank filters, fft, histogram
equalization, and reading JPEG files.

%install
%define Rlibdir %_libdir/R/library
mkdir -p %buildroot%Rlibdir
R CMD INSTALL -l %buildroot%Rlibdir %SOURCE0

%files
%Rlibdir/%pkg

%changelog
* Sun Feb 25 2007 Alex V. Myltsev <avm@altlinux.ru> 0.5.7-alt2
- Require R-devel.

* Fri Aug 04 2006 Alex V. Myltsev <avm@altlinux.ru> 0.5.7-alt1
- Initial build for Sisyphus.

